cksum(1)

NAME
cksum - Print CRC and size for each file

SYNOPSIS
cksum [-a|--algorithm] [--untagged] [--tag] [-l|--length] [--raw] [--strict] [-c|--check] [--base64] [-w|--warn] [--status] [--quiet] [--ignore-missing] [-h|--help] [-V|--version] [file]

DESCRIPTION
Print CRC and size for each file

OPTIONS

-a, --algorithm=ALGORITHM
    select the digest type to use. See DIGEST below
    [possible values: sysv, bsd, crc, md5, sha1, sha3, sha224, sha256, sha384, sha512, blake2b, blake3, sm3, shake128, shake256]

--untagged
    create a reversed style checksum, without digest type

--tag
    create a BSD style checksum, undo --untagged (default)

-l, --length
    digest length in bits; must not exceed the max for the blake2 algorithm and must be a multiple of 8

--raw
    emit a raw binary digest, not hexadecimal

--strict
    exit non-zero for improperly formatted checksum lines

-c, --check
    read hashsums from the FILEs and check them

--base64
    emit a base64 digest, not hexadecimal

-w, --warn
    warn about improperly formatted checksum lines

--status
    don't output anything, status code shows success

--quiet
    don't print OK for each successfully verified file

--ignore-missing
    don't fail or report status for missing files

-h, --help
    Print help

-V, --version
    Print version

EXTRA
DIGEST determines the digest algorithm and default output format: - sysv: (equivalent to sum -s) - bsd: (equivalent to sum -r) - crc: (equivalent to cksum) - md5: (equivalent to md5sum) - sha1: (equivalent to sha1sum) - sha224: (equivalent to sha224sum) - sha256: (equivalent to sha256sum) - sha384: (equivalent to sha384sum) - sha512: (equivalent to sha512sum) - blake2b: (equivalent to b2sum) - sm3: (only available through cksum)

VERSION
v0.0.27